Subject: Re: draft-josefsson-openpgp-mailnews-header and draft-ietf-dnsext-rfc2538bis-09.txt

From: David Shaw <[email-masked]>
Date: Thu, 3 Nov 2005 14:30:51 -0500

On Mon, Oct 31, 2005 at 06:25:32PM +1100, Anand Kumria wrote:
> Hi there,
> 
> The openpgp-mailnews-header defines a mechanism for senders to notify
> recipients of both their preferences (w.r.t OpenPGP keys) and the keying
> material to be used (e.g. keyid).
> 
> dnsext-rfc2538bis defines a mechanism where keying material is stored
> within the DNS (e.g. OpenPGP).  The overlap here is that users may wish
> to store their key in the DNS (via dnsext-rfc2538bis) and refer to them
> using openpgp-mailnews-header.
> 
> Since openpgp-mailnews-header specifies using a URI to refer to the
> location, it would seem -- to me at least -- that there needs to be some
> kind of URI specification to allow you to refer to DNS resource records.
> 
> Is there one already, or work underway to produce a DNS URI spec.?

There is this, by the same author as rfc2538bis:

  http://josefsson.org/dns-url/draft-josefsson-dns-url-13.txt

David